#ifndef TAGARGAUDIODISC_H
#define TAGARGAUDIODISC_H

#include <QWidget>
#include <phonon/mediaobject.h>
#include <phonon/audiooutput.h>

class NowPlayingPrivate;
class TagargAudioDisc : public QWidget
{
    Q_OBJECT
public:
    TagargAudioDisc(QWidget *parent = 0);
    ~TagargAudioDisc();

    Q_INVOKABLE void init( const Phonon::AudioOutput *audio , const Phonon::MediaObject *media , const Phonon::Path *path , const QStringList *playlist );
    Q_INVOKABLE void playing( const QString & file );

protected:
    void paintEvent( QPaintEvent *event );
    void resizeEvent( QResizeEvent *event );

private slots:
    void addToAudioDisc();
    
private:
    NowPlayingPrivate *p;
};

#endif // TAGARGAUDIODISC_H
